Page MenuHomePhabricator

Add STL support (with 3d2png) to Thumbor
Closed, ResolvedPublic

Description

<thcipriani> gilles: full path will be /srv/deployment/3d2png/deploy

Event Timeline

Gilles created this task.Mar 29 2017, 4:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2017, 4:20 PM
Gilles triaged this task as Normal priority.Mar 29 2017, 4:20 PM
Gilles updated the task description. (Show Details)Mar 29 2017, 4:23 PM
Gilles changed the task status from Open to Stalled.Jun 8 2017, 3:22 PM
Gilles lowered the priority of this task from Normal to Low.

Lowering priority since T160185: Package 3d2png for deployment to WMF servers still seems to be stalled.

Gilles removed Gilles as the assignee of this task.Jun 21 2017, 2:01 PM
Gilles raised the priority of this task from Low to Needs Triage.

@MarkTraceur with Thumbor deployment well under way (final steps next week), this will be the new way to get STL support for Commons. It would probably be a better time investment if I walked you through this rather than did it myself.

What's the status of finding a way to deploy 3d2png to production servers?

Gilles added a subscriber: fgiunchedi.

@MarkTraceur I'm going on vacation for 2 weeks at the end of this week. But before I leave I have time to walk you through how you would go about writing this, and @fgiunchedi can review your Thumbor plugin for STL.

I'll send you a meeting invite on gcal.

Gilles changed the task status from Stalled to Open.Jul 18 2017, 5:13 PM
Gilles triaged this task as Normal priority.

Change 370907 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.2

https://gerrit.wikimedia.org/r/370907

Change 370907 merged by Filippo Giunchedi:
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.2

https://gerrit.wikimedia.org/r/370907

Mentioned in SAL (#wikimedia-operations) [2017-08-13T19:35:56Z] <godog> upload python-thumbor-wikimedia 1.2 - T161719

Installed the new package on deployment-imagescaler01.deployment-prep.eqiad.wmflabs, restarted thumbor, and added a manual config to enable the engine in /etc/thumbor.d/98-3d.conf

Now we need to have the new version of 3d2png.js deployed for it to work.

Gilles added a subscriber: mmodell.Aug 15 2017, 3:23 PM

@mmodell what's the process for deploying an update of 3d2png to deployment-imagescaler01?

Change 372164 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/vagrant@master] Enable Thumbor 3D/STL support

https://gerrit.wikimedia.org/r/372164

Change 372164 merged by jenkins-bot:
[mediawiki/vagrant@master] Enable Thumbor 3D/STL support

https://gerrit.wikimedia.org/r/372164

Change 373595 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[operations/debs/python-thumbor-wikimedia@master] Add missing THREED2PNG_PATH

https://gerrit.wikimedia.org/r/373595

Change 373595 abandoned by Matthias Mullie:
Add missing THREED2PNG_PATH

Reason:
Based on discussion (email), this path does not belong in this repo, but in config somewhere else (puppet)

https://gerrit.wikimedia.org/r/373595

Change 375781 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/puppet@production] Add STL support to Thumbor, behind flag

https://gerrit.wikimedia.org/r/375781

Change 375781 merged by Filippo Giunchedi:
[operations/puppet@production] Add STL support to Thumbor, behind flag

https://gerrit.wikimedia.org/r/375781

Gilles closed this task as Resolved.Sep 5 2017, 9:57 AM

THREED2PNG_PATH has been puppetized.

There's nothing Thumbor-specific left to do here, only deploying 3d2png properly remains.

only deploying 3d2png properly remains.

@Gilles: do you mean that in a "we eventually need to deploy https://gerrit.wikimedia.org/r/#/c/345377/ once we're done testing this on beta", or do we need any other changes in that patch that I'm not aware of?

Gilles added a comment.Sep 7 2017, 8:20 AM

That's the only one I expect to be merged, yes. But since it's only targeting beta right now, why wait before merging it?